=== debian/changelog ===
freedombox (24.8) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * gitweb: Fix an issue when cloning existing repository

  [ Benedek Nagy ]
  * network: Skip of bridge interfaces in connections list
  * action_utils: Add generic utils for managing podman containers
  * nextcloud: Add new app based on podman container
  * nextcloud: Add backup/restore
  * nextcloud: Add option to configure the default phone region
  * nextcloud: Configure redis caching, create static PHP file

  [ Sunil Mohan Adapa ]
  * nextcloud: Diasble app until more testing and review changes
  * zoph: Re-add a safety check when reading the setup state of the app
  * zoph: Include dbconfig configuration file in backup
  * ttrss: Include dbconfig configuration file in backup
  * ttrss: tests: functional: Uninstall during backup/restore test
  * ttrss: Improve backup and restore of the database
  * ttrss: Ensure that database is removed after uninstall
  * actions: Don't repeat action traceback in stderr
  * doc: Fetch latest manual

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Re-enable unattended-upgrade during dist-upgrade
  * diagnostics: Don't store list of app objects with results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 09 Apr 2024 07:24:57 -0400

freedombox (24.7) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * actions: Move most of the privileged action code to main directory
  * tests: Remove unused fixture for testing actions
  * tests: Move test configuration to plinth directory
  * tests: Merge actions related test files
  * tests: Automatically create pytest marks for apps
  * users: Add email address field when creating/updating user accounts
  * users: Add email address field during first boot
  * system: Organize items into sections
  * views: Fix alignment of close button in error messages
  * actions: Minor refactor to action error logging
  * actions: Provide HTML error message with action error
  * views: Implement a utility to easily show error message
  * middleware: Show HTML exception message as extra detail in messages
  * package: Drop special error message handling for package errors
  * backups: Adjust to changes in privileged errors
  * letsencrypt: Simplify error warning when certificate revoke fails
  * letsencrypt: Show better error messages
  * storage: Adjust to changes in privileged errors
  * letsencrypt: Remove unnecessary processing of the error messages
  * storage: Show better error message
  * upgrades: Show better error messages
  * snapshot: Show better error messages
  * package: Don't remove packages of other apps on uninstall
  * matrixsynapse: Prevent setup page from being shown during uninstall

  [ Veiko Aasa ]
  * samba: Fix Samba not accessible from IPv6 localhost ::1 address
  * samba: Disable nmbd NetBIOS service

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Mar 2024 21:12:59 -0400

freedombox (24.6) unstable; urgency=medium

  [ Veiko Aasa ]
  * gitweb: Fix modifying git repositories when gitweb app is disabled
  * users: tests: Do not remove LDAP user when testing views
  * samba: Ignore non-existent users who are in freedombox-share group

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * diagnostics: Add tests for get_results
  * diagnostics: Handle TypeError when copying results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * users: Fix creating users with initial set of groups
  * users: Minor refactor when creating django groups
  * log: Don't log with in color inside actions scripts
  * actions: Fix log message when action return can't be decoded
  * actions: When action errors out, log a better message
  * *: Add type hints for app init methods
  * *: Add type hints for diagnose method
  * action_utils: Implement method for starting a service temporarily
  * zoph: Don't fail setup if mysql installed but not running
  * wordpress: Don't fail setup if mysql installed but not running
  * app: Add ability to hide configuration form when app is disabled
  * zoph: Hide configuration form when app is disabled
  * app: views: Expose method to get enabled/disabled state and cache it
  * zoph: Don't redirect to setup page when app is disabled
  * zoph: Don't fail with backup/restore if app is disabled
  * zoph: Uninstall fully so that reinstall works
  * daemon: Added method to ensure a daemon is running in component
  * zoph: Ensure that database server is running when setting up app
  * wordpress: Fix backup, restore and uninstall when db is not running
  * wordpress: Drop database user when app is uninstalled
  * tests: functional: Uninstall app after backup and before restore
  * zoph: Restore database password to old value after restore operation
  * wordpress: tests: Uninstall app after backup and before restore
  * tests: functional: Refactor install/setup fixture for apps
  * wordpress: Fix minor issue in restoring database

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Mar 2024 20:40:48 -0400

freedombox (24.5) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * container: Fix issue with missing make command on stable image
  * setup: Minor refactoring of force upgrader class instantiation
  * setup: Ensure that force upgrade won't run when app is not installed

