## freedombox 24.13

=== debian/changelog ===
freedombox (24.13) unstable; urgency=medium

  [ Tymofii Lytvynenko ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jun 2024 20:44:51 -0400

freedombox (24.12) unstable; urgency=medium

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gfbdrgng ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Jun 2024 20:35:33 -0400

freedombox (24.11) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 May 2024 20:34:48 -0400

freedombox (24.10) unstable; urgency=medium

  [ Veiko Aasa ]
  * storage: Add an option to include help text to directory selection form
  * minidlna: Add media directory selection form
  * minidlna: Explicitly include ssdp service to firewall configuration
  * minidlna: Do not proxy minidlna web interface over Apache
  * minidlna: Restart app when upgrading to reconfigure firewall

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * diagnostics: Add optional component_id to DiagnosticCheck
  * app, component: Add repair method
  * setup: Add method to run app repair
  * diagnostics: Change "Re-run setup" to "Try to repair"
  * letsencrypt: Re-obtain certificates during repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * letsencrypt: Remove unused imports
  * nextcloud: Use systemd generator for creating container service
  * nextcloud: Create network using systemd generator
  * nextcloud: Drop network namespacing in container, use host network
  * nextcloud: Use php-fpm container instead of apache container
  * nextcloud: Wait on init sync lock
  * nextcloud: Pull the image separately before starting systemd unit
  * nextcloud: Ship instead of create cron timer related units
  * nextcloud: Restart container when dependent services are restarted
  * nextcloud: Allow re-running setup
  * nextcloud: Implement enable/disable container
  * nextcloud: Enable pretty URLs without /index.php in them
  * notification: Handle more formatting errors
  * nextcloud: Allow re-running setup when app is disabled
  * nextcloud: Populated and maintain a list of trusted domains
  * nextcloud: Enable app with experimental warning
  * nextcloud: Warn that community provides the container not team
  * nextcloud: Add fallback for when quadlet is not available

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 May 2024 21:00:03 -0400

freedombox (24.9) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * tests: functional: Disable functional tests

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ Sunil Mohan Adapa ]
  * nextcloud: Rename the systemd service names
  * nextcloud: Add network interface to firewall zone after creating it
  * nextcloud: Refactor container creation code
  * nextcloud: Fix configuring trusted proxies setting
  * nextcloud: Drop a repeated creation of systemd service file
  * nextcloud: Connect to mysql using socket instead of TCP
  * nextcloud: Fail on errors when configuring the app
  * nextcloud: Improve check used to test if installation wizard is done
  * nextcloud: Improve setting up LDAP configuration
  * nextcloud: Ensure that database is running when running setup
  * nextcloud: Don't fail uninstall if DB or user do not exist
  * action_utils, nextcloud: Make podman util more generic
  * nextcloud: Improve database permission granting
  * nextcloud: Connect to redis using Unix socket
  * nextcloud: Connect to slapd for LDAP using Unix socket
  * nextcloud: Refactor setting admin password
  * nextcloud: Don't show incorrect phone region when it is not set
  * nextcloud: Minor refactoring
  * nextcloud: Retrieve database password in a more robust way
  * nextcloud: Don't set password on redis server
  * nextcloud: Use a separate DB for redis
  * nextcloud: Use secrets module generate passwords
  * nextcloud: Minor changes to cron timer units
  * nextcloud: When backup fails, unset the maintenance mode
  * nextcloud: Remove fail2ban jail, brute force protection present
  * nextcloud: Expand on the warning about container usage
  * nextcloud: Add warning that the app is experimental
  * nextcloud: Minor update to description regarding users' usage
  * nextcloud: Allow backup/restore when app is disabled

