## freedombox 24.14

=== debian/changelog ===
freedombox (24.14) unstable; urgency=medium

  [ John Doe ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * diagnostics: Add option for automatic repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * container: Allow podman containers to run inside the container

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jul 2024 20:44:53 -0400
