## freedombox 24.18

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,8 @@
     -not -iname ".*" \
     -not -iname "sessionid*" \
     -not -iname "~*" \
-    -not -iname "django-secret.key"
+    -not -iname "django-secret.key" \
+    -not -iwholename "*/.mypy_cache/*"
 
 
 ROOT_DATA_FILES := $(shell find data -type f $(FIND_ARGS))
@@ -69,6 +70,7 @@
 	$(MAKE) -C doc -j 8
 
 	# Build .whl package
+	rm -f dist/plinth-*.whl
 	$(PYTHON) -m build --no-isolation --skip-dependency-check --wheel
 
 install:
