=== debian/changelog ===
freedombox (24.18) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Petter Reinholdtsen ]
  * featherwiki, tiddlywiki: Remove redundant </p> in template
  * Translated using Weblate (Norwegian Bokmål)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Telugu)
  * d/control: Remove haveged as it no longer relevant on latest kernels
    (Closes: #961733)
  * *.md, pyproject.toml: Update default branch from 'master' to 'main'
  * d/control: Don't recommend libnss-gw-name (Closes: #877935, #1069240)
  * doc/dev: Update copyright year
  * doc/dev: Fix Django related errors with auto-documentation
  * doc/dev: Limit table of contents depth to 2 for clarity

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * ttrss: Remove unavailable Android client - org.fox.tttrss

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Add diagnostic for held packages
  * locale: Update translation strings
  * debian: Set gbp default branch to main
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * plinth: Fix translating app operations

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Aug 2024 20:25:43 -0400

freedombox (24.17) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Sunil Mohan Adapa ]
  * gitweb: Don't backup/restore a drop-in configuration file
  * tests: functional: Allow submitting form buttons along with inputs
  * tests: functional: Name the background fixture
  * nextcloud: Redirect to URL nextcloud/ if ending slash is not given
  * nextcloud: Prevent process restart when nextcloud is uninstalled
  * nextcloud: tests: functional: Add base and interface tests
  * rssbridge: tests: Add missing __init__.py
  * base.html: Drop dependency on modernizr.js library
  * apache: Enable dav and dav_fs modules
  * COPYING.md: Update copyright years
  * featherwiki: Fix a type check failure
  * makefile: Don't fail while building and installing multiple versions
  * actions: Define and allow a new alias for str; secret_str
  * bepasty: Mark secret strings in privileged actions
  * ssh: Mark secret strings in privileged actions
  * pagekite: Mark secret strings in privileged actions
  * nextcloud: Mark secret strings in privileged actions
  * mumble: Mark secret strings in privileged actions
  * miniflux: Mark secret strings in privileged actions
  * shadowsocks: Mark secret strings in privileged actions
  * shadowsocksserver: Mark secret strings in privileged actions
  * mediawiki: Mark secret strings in privileged actions
  * ikiwiki: Mark secret strings in privileged actions
  * users: Mark secret strings in privileged actions
  * backups: Mark secret strings in privileged actions
  * actions: Log arguments without secret strings in privileged calls
  * actions: Add error when likely parameters are not marked as secret
  * django: settings: Don't set USE_L10N on newer versions
  * templates: Fix warning about using default.html for form template

  [ Joseph Nuthalapati ]
  * featherwiki: Add new app
  * featherwiki: Proxy download through freedombox.org
  * tiddlywiki: Add new app

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * storage: Add diagnostic for grub config issue
  * firewall: Setup inter-zone forwarding
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Aug 2024 22:07:34 -0400

freedombox (24.16) unstable; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Joseph Nuthalapati ]
  * miniflux: Add new app
  * miniflux: Fix regression in creating admin user
  * miniflux: Fix error handling for reset password
  * readme: Mention the AGPLv3+ license
  * miniflux: Trim error messages when creating user

  [ Sunil Mohan Adapa ]
  * miniflux: Drop postgres-contrib package as it seem redundant
  * miniflux: Add list of client apps from upstream clients list
  * miniflux: Remove a spurious error message after resetting password
  * miniflux: Fix issues with running the CLI in a pseudo-terminal
  * miniflux: tests: functional: Fix failing tests when run out of order
  * miniflux, ttrss: Factor out duplicated postgres utility methods
  * tests: functional: Handle click failure when waiting for page update
  * tests: functional: Handle obscured elements when submitting forms

  [ Ricky From Hong Kong ]
  * Translated using Weblate (Chinese (Traditional))

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jul 2024 22:02:09 -0400

freedombox (24.15) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]

