=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  python3-openssl,
  python3-pampy,
  python3-paramiko,
+ python3-pexpect,
  python3-pip,
  python3-psutil,
  python3-pytest,
@@ -100,7 +101,6 @@
  libglib2.0-bin,
  libjs-bootstrap4,
  libjs-jquery,
- libjs-modernizr,
  lsof,
  netcat-openbsd,
  network-manager,
@@ -126,6 +126,7 @@
  python3-markupsafe,
  python3-pampy,
  python3-paramiko,
+ python3-pexpect,
  python3-psutil,
  python3-requests,
  python3-ruamel.yaml,
@@ -151,8 +152,6 @@
 # FreedomBox documentation
  freedombox-doc-en,
  freedombox-doc-es,
-# Provide entropy using HAVEGE algorithm
- haveged,
 # Monitor system resources
  htop,
 # Monitor network traffic statistics
@@ -161,8 +160,6 @@
  iputils-ping,
 # Manage wireless devices
  iw,
-# Resolve gateway.localhost
- libnss-gw-name,
 # Resolve .local address using mDNS
  libnss-mdns,
 # Resolve current hostname without /etc/hosts
