## freedombox 24.22

=== debian/changelog ===
freedombox (24.22) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * apache2: Allow popups to have different sandbox policy
  * firstboot: Improve the setup complete page with more setups
  * firstboot: Hide navigation toggler in mobile layouts
  * firstboot: Make logo image responsive during first setup
  * firstboot: Show spinner instead of message during first setup
  * css: Fix height of navbar in mobile layout during first boot
  * css: Navbar styling fixes in mobile layout
  * upgrades: Remove step upgrade during first setup
  * networks: Remove first boot steps for connectivity/topology
  * upgrades: Show notification to remind user to run updates manually
  * first_boot: Allow the next steps page to be revisited
  * first_boot: Add notification for next steps after first setup
  * wordpress: tests: functional: Fix tests on Trixie
  * calibre: tests: functional: Fix occasional failure in add book test
  * ci: Generalize script to update container, switch to podman
  * ci: Dockerfile: Drop obsolete dependency on pytest-bdd
  * ci: Rename Dockerfiles to Containerfiles
  * ci: Add docker container for functional-tests:stable
  * ci: Add gitlab runner configuration
  * ci: Add a custom driver for gitlab runner for podman
  * .gitlab-ci.yml: Update for new infrastructure
  * ci: Update functional test timeout to 10h
  * *: tags: Adjust tags and style
  * context_processors: Use active menu urls to decide what to highlight
  * help, system: Stop using submenu.sorted_items
  * context_processors: Stop adding unused 'submenu' to context
  * tags: css: Minor styling cleanups
  * tags: js: Minor fixes and refactoring
  * tests: functional: Create utility to set user preferred locale
  * tags: Localization fixes
  * tests: functional: Add package for printing test failures instantly
  * ci: Enable showing test failures immediately as they fail
  * help: tests: Fix tests failing due to tags related changes
  * *: Remove unused imports to fix flake8 errors
  * nextcloud: Fix install failure due to PrivateTmp=yes
  * utils: Improve safe formatter by handling more cases
  * operation: Use safe formatter for translating messages
  * middleware: Show translated error messages when operation completes
  * setup: Translate errors when installing/updating/repairing apps

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * syncthing: Fix app setup in Debian testing
  * ssh: Start server after nslcd service

  [ Joseph Nuthalapati ]
  * backups: Use new utility for handling file uploads
  * *: Implements tags for apps

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Oct 2024 20:42:43 -0400

freedombox (24.21) unstable; urgency=medium

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * samba: Remove option to backup app
  * functional tests: Upgrade dependencies selenium and splinter
  * transmission: tests: Fix functional test failures in Debian testing

  [ Sunil Mohan Adapa ]
  * storage: Skip tests that involve loopback device in a container
  * action_utils: Introduce utility to move uploaded files
  * kiwix: Don't leave invalid .zim in library after a failed attempt
  * actions: Handle exceptions with Path-like objects
  * names: Introduce method to check if resolved is installed
  * privacy: Disable DNS fallback option if resolved is not installed
  * networks: Disable DNS-over-TLS option if resolved is not installed
  * networks: Don't show DNS-over-TLS when resolved is not installed
  * names: Perform resolve diagnostics only if resolved is installed
  * names: Don't show resolver status if package is not installed
  * names: Don't control resolved daemon when package is not installed
  * names: Try to install systemd-resolved during app setup
  * names: Schedule a task to install systemd-resolved when possible
  * names: Don't hard depend on systemd-resolved
  * action_utils: Fix missing parent folder when creating apt hold flag
  * nextcloud: Fix existing installs to upgrade properly
  * nextcloud: During upgrade wait properly for upgrade to complete

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Joseph Nuthalapati ]
  * django: Improve handling of file uploads
  * kiwix: Use new utility for handling uploads
  * featherwiki: Use new utility for handling uploads
  * tiddlywiki: Avoid writing duplicate temporary files

  [ Benedek Nagy ]
  * locale: Albanian: Fix build issue by correcting typo

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 07 Oct 2024 20:37:52 -0400

freedombox (24.20.1) unstable; urgency=medium

  [ Veiko Aasa ]
  * users: Inactivate users in LDAP user database
  * samba: Fix nmb systemd service is in erroneous state

  [ Sunil Mohan Adapa ]
  * users: Set proper class on default password policy object
  * users: Increment app version for changes w.r.t. inactive users
  * security: Remove PAM configuration for 'access' module

  [ James Valleroy ]
  * Revert "debian: tests: Wait for systemd-resolved to be started"
  * ci: Run autopkgtest but allow failure
  * d/tests: Add breaks-testbed restriction
  * doc: Fetch latest manual

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]

