=== debian/control ===
--- 
+++ 
@@ -104,8 +104,6 @@
  lsof,
  netcat-openbsd,
  network-manager,
-# Ensure that nscd is installed rather than unscd.
- nscd (>= 2),
  ppp,
  pppoe,
  python3-apt,
@@ -178,8 +176,6 @@
  powermgmt-base,
 # fuser, pstree and other utilities
  psmisc,
-# Manage /etc/resolv.conf
- resolvconf,
 # Tool to kill WLAN, Bluetooth and moble broadband
  rfkill,
 # Monitor network traffic
