=== debian/changelog ===
freedombox (24.23) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * users: Delete or move home folder when user is deleted or renamed
  * functional tests: Add pytest testinfra plugin
  * users: tests: functional: Check LDAP information is correct after renaming user

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * ejabberd: Set mod_mam default to always
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Drop python3-flake8 build dependency

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Norwegian Bokmål)
  * middleware: tests: Drop some obsolete mock code
  * backups: Better explanation for the format of upload file
  * backups: Sort list of apps in backup, restore, and schedules
  * ui: Increase the width of app and system listings
  * system: Increase the size of items in listing page
  * ui: Don't bold titles in card lists
  * ui: Move app names below app icons
  * ui: Remove the noise background
  * ui: Remove the border around content container
  * help: Make about page available to unauthenticated users
  * help: Add all footer links to about page
  * index: Remove links and about text and link to about page
  * base: Add link to about for unauthenticated users
  * index: css: Move the 'powered by' logo further down

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Coucouf ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Nov 2024 20:37:01 -0500
