=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
 # of django-axes.
  python3-django-ipware (>= 3),
  python3-django-stronghold (>= 0.3.0),
- python3-flake8,
  python3-gi,
  python3-markupsafe,
  python3-mypy,
