=== debian/tests/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 #   - Module inititailzation for essential modules
 #
 Test-Command: plinth --list-apps 2> /dev/null
-Restrictions: needs-root
+Restrictions: needs-root, breaks-testbed
 
 #
 # Run unit and integration tests on installed files.
 #
 Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
 Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli | python3-coverage (<< 6.0), @
+Restrictions: breaks-testbed
